#include <stdlib.h>
#include <string.h>
#include "tree.h"

/* deletes the tree and contents */
void cleanup(node *a)
{
	int child;
	
	/* cleanup children */
	for(child = 0; child < a->child_count; child ++)
		cleanup(a->children[child]);
	
	/* cleanup this item */
	if(!a->is_tag && a->text) free(a->text);
	free(a);
}
