#include <stdio.h>
#include "tree.h"

void out_tag_name(enum tag_type tag)
{
	char table[31][3] =
	{
		"B", "EM", "I", "PL", "S", "TT", "U", "",  "",  "",  "0",
		"1", "2",  "3", "4",  "5", "6",  "7", "8", "9", "r", "g",
		"b", "c",  "m", "y",  "k", "w",  "",  "",  ""
	};

	printf("%s", table[(int)tag]);
}

void out(node *a)
{
	int child;

	if(a->is_tag && a->tag != TAG_DUMMY)
	{
		printf("<");
		out_tag_name(a->tag);
		printf(">");
	}

	for(child = 0; child < a->child_count; child ++)
		out(a->children[child]);

	if(a->is_tag && a->tag != TAG_DUMMY)
	{
		printf("</");
		out_tag_name(a->tag);
		printf(">");
	}
	if(!a->is_tag) printf("%s", a->text);
}
